@import url('https://fonts.googleapis.com/css2?family=Pixelify+Sans&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Pixelify+Sans&family=Poppins:wght@400;700&display=swap');

body {
    margin: 0;
    font-family: 'Pixelify Sans', sans-serif;
    background-color: #061304;
    color: #39F90C;
    display: flex;
    justify-content: center;
    align-items: flex-start;
    padding-top: 8px;
    padding-bottom: 32px;
    min-height: 100vh;
}

.container {
    text-align: center;
    padding: 16px;
    max-width: 400px;
    width: 100%;
    margin: 40px auto; /* Add this to center the container */
}

header {
    display: flex;
    align-items: center;
    justify-content: center;
    margin-bottom: 20px;
}

header .logo {
    width: 40px;
    height: 40px;
    margin-right: 8px;
}

header h1 {
    margin: 0;
    font-size: 48px;
}

.character img {
    width: 100%;
    max-width: 360px;
    border: 2px solid #00FF00;
}

.input-container {
    margin-top: 24px;
}

.search-container {
    display: flex;
    align-items: center;
    margin-bottom: 24px;
}

.search-container input {
    flex: 1;
    height: 100%;
    width: 100%;
    text-align: center;
    padding: 16px;
    border: 2px solid #00FF00;
    background-color: #102B09;
    color: #00FF00;
    font-size: 16px;
    font-weight: 600;
    font-family: 'Poppins', sans-serif;
}

.search-container input::placeholder {
    color: #00FF00;
}

.button-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
}

.meme-button {
    font-family: 'Poppins', sans-serif;
    background-color: #091905;
    color: #0f0;
    border: 2px solid #0f0;
    padding: 10px 20px;
    margin: 5px;
    cursor: pointer;
    font-size: 0.75em;
    flex: 1 1 30%;
    max-width: 30%;
}

.meme-button:hover {
    background-color: #0f0;
    color: #091905;
}

@media (min-width: 600px) {
    .container {
        padding: 28px;
    }

    .search-container input {
        width: calc(100% - 40px);
    }
}

@media (max-width: 480px) {
    .meme-button {
        flex: 1 1 45%; /* Adjust button size for mobile phones */
        max-width: 45%;
    }
}

/* Toggle Switch Styles */
.toggle-container {
    display: flex;
    justify-content: center;
    align-items: center;
    margin-top: 24px;
}

.switch {
    position: relative;
    display: inline-block;
    width: 48px;
    height: 24px;
}

.switch input {
    opacity: 0;
    width: 0;
    height: 0;
}

.slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #00FF00; /* Dark green background */
    border: 2px solid #0f0;
    transition: .4s;
}

.slider:before {
    position: absolute;
    content: "";
    height: 16px;
    width: 16px;
    left: 2px;
    bottom: 2px;
    background-color: black;
    transition: .4s;
}

input:checked + .slider {
    background-color: #12260D; /* Bright green when checked */
}

input:checked + .slider:before {
    transform: translateX(26px);
}


.toggle-label {
    margin-left: 10px;
    font-family: 'Poppins', sans-serif;
    font-size: 0.75em;
    color: #00FF00; /* Match the green color of your theme */
}

/* Add styles for the footer logo */
.footer-logo img {
    width: 74px;
    height: 48px;
    margin-top: 12px;
}

/* Add styles for the footer text */
.footer-text {
    font-family: 'Poppins', sans-serif;
    font-size: 12px;
    margin-top: 64px;
    color: #00FF00; /* Match the green color of your theme */
}

.footer-text a {
    color: #00FF00; /* Match the green color of your theme */
    text-decoration: none;
}

.footer-text a:hover {
    text-decoration: underline;
}

.maduniversity {
    display: flex;
    justify-content: center; /* Center the table horizontally */
    align-items: center; /* Center the table vertically */
}

.name-element {
  display: inline-block;
  vertical-align: middle;
}